#ifndef CALENDARINTERFACE_H
#define CALENDARINTERFACE_H

/*
 * automatically generated with the command line :
 * m-servicefwgen -p com.nokia.maemo.meegotouch.CalendarInterface
 */

#include <QObject>

#include <mservicefwbaseif.h>


/**
 * @brief Documentation of the Calendar Interface
 * @details APIs that allow controlling calendar application
 */
class CalendarInterface : public MServiceFwBaseIf
{
Q_OBJECT

public:

    /**
     * @brief Creates a new Event in edit mode
     * @details Opens the event editor with the tilte and description
     *  given
     */
    void newEvent( const QString &title, const QString &description );

    /**
     * @brief Creates a new Todo in edit mode
     * @details Opens the event editor with the tilte and description
     *  given
     */
    void newTodo( const QString &title, const QString &description );

    /**
     * @brief Open the calendar
     */
    void open( const QStringList &uri_uid );

    /**
     * @brief Open an Event in Calendar
     * @details Opens the first element of the list of 
		the arguments.
     *  The list can be either a UIDs or Tracker URIs
     */
    void openEvent( const QString &uri_uid );

    /**
     * @brief Open a Todo in Calendar
     * @details Opens the first element of the list of 
		the arguments.
     *  The list can be either a UIDs or Tracker URIs
     */
    void openTodo( const QString &uri_uid );

    /**
     * @brief Open an Event in Calendar
     * @details Method used to open from the Reminder
		Window to
     *  open an Event that has an specific UID and RecurrenceID
     */
    void showAlarm( const QString &uid, const QString &recurrenceId );

    /**
     * @brief Switch Calendar to the Agenda View
     * @details Switch Calendar to the Agenda View
     */
    void showCalendarListView();

    /**
     * @brief Switch or open Calendar in the last or default view
     * @details Switch or open Calendar in the last of default view
     */
    void showDefaultView();

    /**
     * @brief Switch Calendar to the Manage Calendars View
     * @details Switch Calendar to the Manage Calendars View
     */
    void showManageCalendarsView();

    /**
     * @brief Switch Calendar to the Month View
     * @details Switch Calendar to the Month View
     */
    void showMonthView();

    /**
     * @brief Switch Calendar to the Month View
     * @details Switch Calendar to the Month View
     */
    void showMonthView( int year, int month, int day );

    /**
     * @brief Switch Calendar to the Todo List View
     * @details Switch Calendar to the Todo List View
     */
    void showTodoListView();

    /**
     * @brief Switch Calendar to the Week View
     * @details Switch Calendar to the Week View
     */
    void showWeekView();

    /**
     * @brief Switch Calendar to the Week View
     * @details Switch Calendar to the Week View
     */
    void showWeekView( int year, int month, int day );

public:
    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */

    CalendarInterface( const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);
Q_SIGNALS:

};
#endif

