#ifndef CONTACTSINTERFACE_H
#define CONTACTSINTERFACE_H

/*
 * automatically generated with the command line :
 * m-servicefwgen -p com.nokia.maemo.meegotouch.ContactsInterface
 */

#include <QObject>

#include <mservicefwbaseif.h>

class ContactsInterface : public MServiceFwBaseIf
{
Q_OBJECT

public:
    void openContactCard( const QStringList &uris );
    void openContactCard( const QString &uri );
    void openContactCard( int id );
    void openContactCardForEmail( const QStringList &address );
    void openContactCardForPhoneNumber( const QStringList &number );
    void openContactCardForSipAddress( const QStringList &address );

    /**
     * @brief Open a contact card for a social network contact
     * @details This method opens a contact card for social network
     *  contact,
                  who MUST come from social provider
     *  framework. This contact is identified by his
          
     *         or her SocialServiceAccount Id and SocialNetworkPerson
     *  Id of the corresponding
                  social provider
     *  backend. 
                
     */
    void openContactCardForSocialContact( const QString &parentAccount, const QString &socialId );
    void openContactCardForVcard( const QStringList &path );
    void openContactList();

    /**
     * @brief 
                  Opens contact list filtered for
     *  service
                
     * @details 
                  Opens contact list filtered with
     *  contacts for particular online service.
               
     *    If no service account is configured then opens accounts
     *  application.
                  @param service Name of the
     *  service, e.g. skype.
                
     */
    void openContactListForService( const QString &service );
    void openContactPicker( bool singleSelection, int filter, int sorting, const QVariantList &preSelectedIds );
    void openContactPicker( bool singleSelection, int filter, int sorting, const QVariantList &preSelectedIds, const QString &_taskTitle );
    void openMyProfile();

    /**
     * @brief 
                  Sets the image pointed to by the
     *  given URL as an avatar in one of the contacts.
        
     *         
     * @details 
                  Sets the image pointed to by
     *  the given URL as an avatar in one of the contacts:
    
     *               1) Opens a view to crop the avatar image
 
     *                  2) Opens the list of contacts for selecting
     *  one of them
                  3) Assigns the cropped image
     *  to the selected contact as avatar
                  4) Shows
     *  the contact card with the updated avatar image
        
     *           @param url the image URLs e.g. "file:///home/user/MyDocs/.images/image.jpg".

     *                 
     */
    void setAsAvatar( const QString &url );
    void setAsAvatar( const QString &url, const QString &_taskTitle );

public:
    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */

    ContactsInterface( const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);
Q_SIGNALS:
    void contactsPicked(const QVariantList &contacts, const QString &clientID);
};
#endif

