#ifndef GALLERYINTERFACE_H
#define GALLERYINTERFACE_H

/*
 * automatically generated with the command line :
 * m-servicefwgen -p com.nokia.maemo.meegotouch.GalleryInterface
 */

#include <QObject>

#include <mservicefwbaseif.h>


/**
 * @brief Interface for showing images and videos in Gallery
 * @details 
        The interface provides functions to launch
 *  Gallery application
        for showing images and videos in
 *  thumbnail grid and fullscreen view.
      
 */
class GalleryInterface : public MServiceFwBaseIf
{
Q_OBJECT

public:

    /**
     * @brief 
          Shows all the images and videos captured
     *  with the device's camera in thumbnail grid.
        
     */
    bool showCameraRoll();

    /**
     * @brief 
          Shows a collection of images and/or videos
     *  in fullscreen view.
        
     * @details 
          The images/videos can be identified by
     *  URLs in the file system or by using Tracker URNs.

    
     *       The first image/video in the list is shown in fullscreen
     *  view and

          the user can browse the rest of them
     *  by swiping right or left.
          @param uriList List
     *  of URLs or Tracker URNs. e.g. "file:///home/user/image.jpg"
     *  or "urn:uuid:123-123-123".
        
     */
    bool showMediaInFullScreen( const QStringList &uriList );

    /**
     * @brief 
          Shows a collection of images and/or videos
     *  in thumbnail grid.
        
     * @details 
          The images/videos can be identified by

     *           URLs in the file system or by using Tracker URNs.

     *           @param uriList List of URLs or Tracker URNs. e.g.
     *  "file:///home/user/image.jpg" or "urn:uuid:123-123-123".

     *         
     */
    bool showMediaInGrid( const QStringList &uriList );

public:
    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */

    GalleryInterface( const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);
Q_SIGNALS:

};
#endif

