#ifndef SHAREUIINTERFACE_H
#define SHAREUIINTERFACE_H

/*
 * automatically generated with the command line :
 * m-servicefwgen -p com.nokia.maemo.meegotouch.ShareUiInterface
 */

#include <QObject>

#include <mservicefwbaseif.h>


/**
 * @brief 
                Interface to access the user interface
 *  for sharing items
            
 * @details 
                Interface to access the user interface
 *  for sharing items. 
            
 */
class ShareUiInterface : public MServiceFwBaseIf
{
Q_OBJECT

public:

    /**
     * @brief 
                    Method called to launch the user
     *  interface for sharing
                    items for the
     *  selected items
                
     * @details 
                    The sharing application accepts
     *  a list of items. Each item
                    can be something
     *  like Tracker IRI of a file, Data URI or
               
     *      File URI of a file indexed by tracker.

           
     *          The methods listed above are the items supported
     *  by the
                    default sharing methods. Future
     *  extensions might add new
                    item formats
     *  to the supported list.

                    If the given
     *  item is not understood by the share method, it
        
     *             will be ignored and no error will be provided.


     *                 
     */
    void share( const QStringList &items );

public:
    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */

    ShareUiInterface( const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);
Q_SIGNALS:

};
#endif

